# ActiveadminCms [ ![Build Status](https://secure.travis-ci.org/droidlabs/activeadmin_cms.png)](https://travis-ci.org/droidlabs/activeadmin_cms)

ActiveAdminCms adds CMS functionality to your ActiveAdmin backend.

NOTE: ActiveAdminCms is only compatible with Rails 4 and cares only about admin part.

## Installation

#### 1. Add this line(s) to your application's Gemfile:

```
gem 'activeadmin', github: "gregbell/active_admin"
gem 'activeadmin_cms'
gem 'acts-as-taggable-on', github: 'mbleigh/acts-as-taggable-on' // if you are going to use tags
gem 'paperclip' // if you are going to use tags
```

#### 2. Execute in console:

```
$ bundle
$ rails generate acts_as_taggable_on:migration // if you are going to use tags
$ rake db:migrate
```

#### 3. Add javascript bindings & stylesheets

Append to active_admin.js (add it in `app/assets/javascripts` if not exists)

```
//= require active_admin/base
//= require activeadmin_cms/base
```

Append to active_admin.css (add it in `app/assets/stylesheets` if not exists)

```
//= require "active_admin/mixins";
//= require "active_admin/base";
//= require "activeadmin_cms/base";
```

#### Add routes

Append following line to your `routes.rb` file

```
mount ActiveadminCms::Engine => "/activeadmin_cms"
```
