ENV["RAILS_ENV"] = "test"
require File.expand_path("../dummy/config/environment.rb",  __FILE__)
require 'rails/test_help'
require 'mocha/setup'

require 'minitest/rails'
require 'minitest/autorun'
require 'database_cleaner'
require 'factory_girl'

Rails.backtrace_cleaner.remove_silencers!

DatabaseCleaner[:active_record].strategy = :transaction
DatabaseCleaner[:active_record].clean_with(:truncation)

Dir["#{File.dirname(__FILE__)}/support/**/*.rb"].each { |f| require f }
Dir["#{File.dirname(__FILE__)}/factories/*.rb"].each { |f| require f }

class ActiveSupport::TestCase
  include FactoryGirl::Syntax::Methods

  before :each do
    DatabaseCleaner.start
  end

  after :each do
    DatabaseCleaner.clean
  end
end

class ActionController::TestCase
  #include Devise::TestHelpers
  #include Warden::Test::Helpers
  include ActiveadminCms::Engine.routes.url_helpers
  Warden.test_mode!

  # def setup
  #   @routes = ActiveadminCms::Engine.routes
  #   @request.env["devise.mapping"] = Devise.mappings[:user]
  # end
end
